<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron.ldap-realm.identity-mapping">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="rdn-identifier,use-recursive-search,search-base-dn,attribute-mapping,filter-name,iterator-filter,new-identity-parent-dn,new-identity-attributes,user-password-mapper,otp-credential-mapper,x509-credential-mapper"/>
        <elem name="complex-attribute" value="identity-mapping"/>
        <elem name="addr-params" value="profile,host,subsystem,ldap-realm"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron.ldap-realm"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="x509-credential-mapper" nillable="true"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="use-recursive-search" nillable="true"/>
        <param name="ldap-realm" feature-id="true"/>
        <param name="search-base-dn" nillable="true"/>
        <param name="attribute-mapping" nillable="true" type="List&lt;String&gt;"/>
        <param name="new-identity-parent-dn" nillable="true"/>
        <param name="filter-name" nillable="true"/>
        <param name="user-password-mapper" nillable="true"/>
        <param name="new-identity-attributes" nillable="true" type="List&lt;String&gt;"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="rdn-identifier"/>
        <param name="iterator-filter" nillable="true"/>
        <param name="otp-credential-mapper" nillable="true"/>
    </params>
</feature-spec>